S'identifier / Créer un compte
  • Actualités
  • Dossiers
  • Tests
  • Commentaires
  • INpactiens
Publicité

Non supporté, Firefox 3.6 sera mis à jour vers la version 12 début mai

Vous pouvez refuser, à vos risques et périls

Firefox a beau être disponible désormais en version 12, la vieille branche 3.6 est encore utilisée par certains utilisateurs. Pourtant, cette dernière n’est officiellement plus supportée depuis la semaine dernière. Mozilla prépare donc la mise à jour automatique vers la dernière version stable.

firefox
Firefox 12

Firefox 3.6 n’est donc plus supporté. Pour les utilisateurs, cela signifie principalement que les failles de sécurité ne sont plus corrigées. Dans le cadre d’un navigateur, il s’agit d’un danger particulièrement important : les internautes seront vulnérables à toutes les exploitations de failles qui seront découvertes à partir de maintenant.

Pour régler la situation, Mozilla proposera au début du mois de mai une mise à jour aux utilisateurs de la version 3.6 pour qu’ils passent directement à la version 12. La principale barrière sera certainement l’interface qui avait en partie changé avec la mouture 4. Ceci étant, les avantages sont légion vis-à-vis de Firefox 3.6 : consommation de mémoire vive, performances JavaScript, réactivité, défilement des pages, sécurité, gestion des mises à jour, etc.

Il existe évidemment une possibilité de refuser la mise à jour : désactiver cette dernière dans le panneau des réglages du navigateur. Ceci se fera bien entendu à vos risques et périls.
Source : Computer World
Vincent Hermann

Rédacteur/journaliste spécialisé dans le logiciel et en particulier les systèmes d'exploitation. Ne se déplace jamais sans son épée.

Publiée le 30/04/2012 à 10:04

Soutenez l'indépendance de Next INpact en devenant Premium

  • Tout le contenu de Next INpact sans pub
  • Et bien plus encore...

Il y a 64 commentaires

Avatar de jamseth INpactien
jamseth Le lundi 30 avril 2012 à 11:34:17
Inscrit le jeudi 17 janvier 08 - 273 commentaires
C'est pas plus mal !
J'en ai bavé avec la pauvre gestion mémoire de la 3.6 sur du html5 !
Avatar de zefling INpactien
zefling Le lundi 30 avril 2012 à 11:37:00
Inscrit le mercredi 30 juin 04 - 12482 commentaires

Je l'ai déjà entendu dire. Mais j'avoue que je n'ai jamais cherché comment faire. Le jour où j'ai entendu parler de cette possibilité pour la première fois il était déjà trop tard, j'avais désinstallé Firefox et j'étais revenu à la bonne vieille version 3.6.

Pour ceux qui n'aime pas l'interface de Firefox 4 il y a status-4-evar.


Réjouissez vous.
La fin du support de la v3.6 va forcer les devs de ces addons à gérer les nouvelles versions de FF (si ces devs développent encore, certes...).

J'avais fait une extensions devenus totalement inutile avec l’apparition des certaines nouveautés. Je pense que ça doit être le cas des certains extensions.
Avatar de Xand3r INpactien
Xand3r Le lundi 30 avril 2012 à 11:43:05
Inscrit le mercredi 18 février 09 - 770 commentaires
3.6 user

Si je n'ai pas changé de version c'est uniquement parce que le kiki-meter des navigateurs me prend la tête.

Chrome 27.4 XFACTOR Edition vs Firefox GTR 24.5 Koala Edition Deluxe

Quitte à ne plus utiliser FF 3.6 je vais migrer sur un autre navigateur !

Barbus d'Opéra ! J'arrive !
Avatar de Gilbert_Gosseyn INpactien
Gilbert_Gosseyn Le lundi 30 avril 2012 à 11:45:38
Inscrit le mercredi 27 mai 09 - 1075 commentaires
A supprimer, fausse maneuvre :/.

Edité par Gilbert_Gosseyn le lundi 30 avril 2012 à 11:49
Avatar de Gilbert_Gosseyn INpactien
Gilbert_Gosseyn Le lundi 30 avril 2012 à 11:48:04
Inscrit le mercredi 27 mai 09 - 1075 commentaires
Interface Fx > 4.0

Deux menus à cocher et l'interface est pareille à la 3.x.

Après, si c'est le design de 3 boutons qui dérange...

Par contre, c'est sûr que c'est plus confortable de pas avoir une nouvelle version qui rend obsolète la moitié des add-ons toutes les 6 semaines.
Cette gestion des modules complémentaires, c'est vraiment le point sur lequel ils devraient se pencher le plus, à la place d'accélérer javascript encore et encore de 2 micro-secondes. L'optimisation c'est bien, mais faut choisir ses priorités.

Depuis la version 10 (donc mise' à jour depuis la 10.0), aucun souci avec les addons, soit ils sont compatibles par défaut, soit leur mise à jour est transparente. En gros, je ne vois rien et tout marche bien. Que demander de plus ? ;)


Je compatis, mais en même temps, c'est pas nouveau, vous saviez depuis un moment que votre application ne fonctionne pas avec des navigateurs récents et qu'il faudrait faire quelque chose un jour. Et à moins d'avoir fait des choses vraiment très crades, la mise à jour est pas si compliquée que ça (pour des webdevs compétents).

Enfin bon, moi j'ai déjà vu des applis métiers inutilisables parce qu'ils avaient recodé un menu déroulant super fancy qui ne fonctionnait plus avec du bon CSS/JS et rendait donc l'application inutilisable. Avoir un menu normal "web" était bien trop compliqué pour les devs... Je ne suis plus surpris de rien.

Une solution pour ça : vous pouvez toujours avoir une version portable du Firefox qui va bien à part pour lancer vos applis métier et qui bloquent le reste du net. Cela repousse le problème à la dernière version de Windows supporté par ce navigateur. Et c'est pas une raison pour oublier de faire les correctifs avant 4/5 ans.

Sur ce point précis, on ne décide rien en "local" et j'ai déjà remonté ce problème à nos supports. En vain pour l'instant. La, on peut espérer que mis au pied du mur, ils se bougent enfin ?
Avatar de BreizFenrir INpactien
BreizFenrir Le lundi 30 avril 2012 à 11:48:31
Inscrit le mercredi 21 février 07 - 2252 commentaires
petite question :

pourquoi parle-t-on toujours de la version 3.6 vs les autres version plus récentes? la 3.6 a quoi de spécial par rapport aux version 4 - 5 - 6 avec le recul et sachant qu'on en est à la version 12? les versions 4, 5 ou 6 sont elles toujours mises çà jour question sécurité? non il me semble. alors pourquoi parle-t-on de la version 3.6?????

comprends po

La 3.6 était jusqu'à encore récemment maintenue par Mozilla. Ce n'étais pas le cas des 4, 5, 6, vu que ces dernières s'inscrivaient dans le nouveau processus de mises à jour et développement avec lequel seule la dernière version est supportée.

Personnellement j'ai récemment mis à jour mon navigateur vers le canal ESR au boulot.

Edité par breizfenrir le lundi 30 avril 2012 à 11:52
Avatar de psikobare INpactien
psikobare Le lundi 30 avril 2012 à 11:48:46
Inscrit le lundi 1 août 05 - 5185 commentaires
3.6 user

Si je n'ai pas changé de version c'est uniquement parce que le kiki-meter des navigateurs me prend la tête.

je cherche à comprendre... pour quelle raison exactement tu n'as pas maj firefox 3.6?
Avatar de a.pi INpactien
a.pi Le lundi 30 avril 2012 à 11:50:47
Inscrit le lundi 5 mai 08 - 2 commentaires
j'utilise toujours FF 3.6 sur mon HTPC parce qu'avec les versions suivantes, je n'ai jamais réussi à avoir un affichage correct : ça s'affiche avec des énormes bandeaux noirs sur les côtés, et donc ma page est toute petite, centrée verticalement sur ma TV... Avec 3.6, pas de soucis, ma page occupe bien toute la largeur de la TV.
Quelqu'un a-t-il une ptite astuce à partager, je suis preneur !
Avatar de Deep_INpact INpactien
Deep_INpact Le lundi 30 avril 2012 à 12:12:51
Inscrit le vendredi 11 novembre 11 - 2891 commentaires
...si ces devs développent encore, certes...

On va le savoir très vite !

j'utilise toujours FF 3.6 sur mon HTPC parce qu'avec les versions suivantes, je n'ai jamais réussi à avoir un affichage correct : ça s'affiche avec des énormes bandeaux noirs sur les côtés, et donc ma page est toute petite, centrée verticalement sur ma TV... Avec 3.6, pas de soucis, ma page occupe bien toute la largeur de la TV.
Quelqu'un a-t-il une ptite astuce à partager, je suis preneur !

Ctrl + ou Ctrl -

Edité par Deep_INpact le lundi 30 avril 2012 à 12:15
Avatar de a.pi INpactien
a.pi Le lundi 30 avril 2012 à 12:31:10
Inscrit le lundi 5 mai 08 - 2 commentaires

Ctrl + ou Ctrl -[/quote]

merci ! mais ça marche pas, ça me zoom la page à l'intérieur du bandeau central, les bandes noires latérales sont tjs là.
;